import 'package:flutter/material.dart';
import 'package:get/get.dart';


import 'dart:async';

import 'package:nearle/views/helpers/constants/Colorconstants.dart';
import 'package:nearle/views/introscreens/introscreen.dart';


class Splashscreen extends StatefulWidget {
  const Splashscreen({super.key});

  @override
  State<Splashscreen> createState() => _SplashscreenState();
}

class _SplashscreenState extends State<Splashscreen> {
  @override
  void initState() {
    super.initState();
    Timer(const Duration(seconds: 3), () {
   Get.to(() => Introscreen());
    });
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        backgroundColor: ColorConstants.secondaryColor,
        elevation: 0,
      ),
     backgroundColor: ColorConstants.secondaryColor,
      body: SafeArea(
        child: Column(
          
          children: [
            SizedBox(height: 230,),
            Center(child: Image.asset("assets/images/splashimg.png",fit: BoxFit.contain,height:180,width: 180,)),
          ],
        ),
      ),
    );
  }
}